# mb_substitute_character

(PHP 4 >= 4.0.6, PHP 5, PHP 7)

mb_substitute_character — Set/Get substitution character

### Description

mb_substitute_character ([ mixed `$substchar` = mb_substitute_character() ] ) : mixed

Specifies a substitution character when input character encoding is invalid or character code does not exist in output character encoding. Invalid characters may be substituted `NULL` (no output), string or integer value (Unicode character code value).

This setting affects mb_convert_encoding(), mb_convert_variables(), mb_output_handler(), and mb_send_mail().

### Parameters

`substchar`

  Specify the Unicode value as an integer, or as one of the following strings:

  - "none": no output
  - "long": Output character code value (Example: U+3000, JIS+7E7E)
  - "entity": Output character entity (Example: &#x200;)

### Return Values

If `substchar` is set, it returns `TRUE` for success, otherwise returns `FALSE`. If `substchar` is not set, it returns the current setting.

### Examples

Example #1 mb_substitute_character() example

`<?php
/* Set with Unicode U+3013 (GETA MARK) */
mb_substitute_character(0x3013);
/* Set hex format */
mb_substitute_character("long");
/* Display current setting */
echo mb_substitute_character();
?>`